# $Revision: 1.4 $, $Date: 2004/05/06 18:43:24 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Filter-DetectWS
Summary:	XML::Filter::DetectWS - a PerlSAX filter that detects ignorable whitespace
Summary(pl):	XML::Filter::DetectWS - filtr PerlSAX wykrywajcy ignorowalne spacje
Name:		perl-XML-Filter-DetectWS
Version:	0.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ebab5b30d80c3fc5a0bee8d3fe8aa477
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-Filter-SAXT
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This a PerlSAX filter that detects which character data contains
ignorable whitespace and optionally filters it.

%description -l pl
To jest filtr PerlSAX wykrywajcy dane znakowe zawierajce ignorowalne
spacje i opcjonalnie filtrujcy je.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Filter/DetectWS.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-DetectWS.spec,v $
Revision 1.4  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/05 19:12:11  qboosh
- pl desc

Revision 1.2  2004/05/05 00:44:20  ankry
- summary / desc, BR fixes

Revision 1.1  2004/05/05 00:27:08  ankry
- new
